---
- name: set sysctl to 262144
  become: true
  lineinfile:
    dest: /etc/sysctl.conf
    line: vm.max_map_count=262144
    regexp: "^.*vm.max_map_count=.*$"

- name: Check for network {{ custom_net }}
  shell: "docker network ls"
  register: net_detect

- name: Create network
  command: "docker network create -d bridge {{ custom_net }}"
  ignore_errors: true
  when: net_detect.stdout.find(custom_net) == -1

- name: Start elastic search container
  docker_container:
    name: elastic_search
    image: "{{ registry }}/elastic_search:5.6.3"
    docker_api_version: "{{ docker_api }}"
    restart_policy: unless-stopped
    env:
      discovery.type: single-node
    networks:
      - name: "{{ network | default('default_net') }}"
    purge_networks: yes
    ports:
      - 9200:9200
      - 9300:9300
